.TH "mca_oob_llc_component_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_oob_llc_component_t \- OOB LLC Component.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <oob_llc.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBmca_oob_base_component_1_0_0_t\fP \fBsuper\fP"
.br
.RI "\fIbase OOB component \fP"
.ti -1c
.RI "char * \fBllc_include\fP"
.br
.RI "\fIlist of ip interfaces to include \fP"
.ti -1c
.RI "char * \fBllc_exclude\fP"
.br
.RI "\fIlist of ip interfaces to exclude \fP"
.ti -1c
.RI "int \fBllc_listen_sd\fP"
.br
.RI "\fIlisten socket for incoming connection requests \fP"
.ti -1c
.RI "unsigned short \fBllc_listen_port\fP"
.br
.RI "\fIlisten port \fP"
.ti -1c
.RI "\fBopal_list_t\fP \fBllc_subscriptions\fP"
.br
.RI "\fIlist of registry subscriptions \fP"
.ti -1c
.RI "\fBopal_list_t\fP \fBllc_peer_list\fP"
.br
.RI "\fIlist of peers sorted in mru order \fP"
.ti -1c
.RI "opal_hash_table_t \fBllc_peers\fP"
.br
.RI "\fIpeers sorted by name \fP"
.ti -1c
.RI "opal_hash_table_t \fBllc_peer_names\fP"
.br
.RI "\fIcache of peer contact info sorted by name \fP"
.ti -1c
.RI "opal_free_list_t \fBllc_peer_free\fP"
.br
.RI "\fIfree list of peers \fP"
.ti -1c
.RI "int \fBllc_peer_limit\fP"
.br
.RI "\fImax size of llc peer cache \fP"
.ti -1c
.RI "int \fBllc_peer_retries\fP"
.br
.RI "\fImax number of retries before declaring peer gone \fP"
.ti -1c
.RI "int \fBllc_sndbuf\fP"
.br
.RI "\fIsocket send buffer size \fP"
.ti -1c
.RI "int \fBllc_rcvbuf\fP"
.br
.RI "\fIsocket recv buffer size \fP"
.ti -1c
.RI "opal_free_list_t \fBllc_msgs\fP"
.br
.RI "\fIfree list of messages \fP"
.ti -1c
.RI "opal_event_t \fBllc_send_event\fP"
.br
.RI "\fIevent structure for sends \fP"
.ti -1c
.RI "opal_event_t \fBllc_recv_event\fP"
.br
.RI "\fIevent structure for recvs \fP"
.ti -1c
.RI "\fBopal_mutex_t\fP \fBllc_lock\fP"
.br
.RI "\fIlock for accessing module state \fP"
.ti -1c
.RI "\fBopal_list_t\fP \fBllc_events\fP"
.br
.RI "\fIlist of pending events (accepts) \fP"
.ti -1c
.RI "\fBopal_list_t\fP \fBllc_msg_post\fP"
.br
.RI "\fIlist of recieves user has posted \fP"
.ti -1c
.RI "\fBopal_list_t\fP \fBllc_msg_recv\fP"
.br
.RI "\fIlist of recieved messages \fP"
.ti -1c
.RI "\fBopal_list_t\fP \fBllc_msg_completed\fP"
.br
.RI "\fIlist of completed messages \fP"
.ti -1c
.RI "\fBopal_mutex_t\fP \fBllc_match_lock\fP"
.br
.RI "\fIlock held while searching/posting messages \fP"
.ti -1c
.RI "opal_condition_t \fBllc_match_cond\fP"
.br
.RI "\fIcondition variable used in finalize \fP"
.ti -1c
.RI "int \fBllc_match_count\fP"
.br
.RI "\fInumber of matched recvs in progress \fP"
.ti -1c
.RI "int \fBllc_debug\fP"
.br
.RI "\fIdebug level \fP"
.in -1c
.SH "Detailed Description"
.PP 
OOB LLC Component. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
